<div id="main-feature">
    <h2>Subí tu video</h2>
    <p>Compartí tu habilidad más rápida con un pequeño video. El contenido depende de vos – sólo tenés que ser creativo y asegurarte de hacerlo <em>rápido</em>. Editaremos los mejores en un sólo video y los mostraremos después del lanzamiento de Firefox 3.5.</p>
</div>

<div id="side-feature">
    <div class="contents">
    <h4>¡Consejos!</h4>
    <ul>
        <li>Tener puesta una remera de Firefox o alguna otra vestimenta no es obligatorio, pero es mejor si podés hacerlo.</li>
        <li>Asegurate de incluir tu dirección de correo electrónico. Si usamos tu video te enviaremos una remera de Firefox 3.5.</li>
        <li>¿Necesitás ayuda para editar un buen video? <a href="http://videos.mozilla.org/sfx/MozVideoTutorial.mp4">Mirá nuestro pequeño tutorial</a>.</li>
    </ul>
    </div>
    <div id="side-feature-footer"></div>
    <p class="fine-print">Mozilla sólo usará tu dirección de correo electrónico si decidimos usar tu video. No compartiremos tu dirección de correo electrónico con ninguna otra organización o persona. Podés leer más información acerca de la <a href="http://www.mozilla.com/en-US/privacy-policy.html">política de privacidad de Mozilla</a>.</p>
    <p class="fine-print">Mozilla Corporation, 1981 Landings Drive, Bldg. K, Mountain View, CA 94043-0801</p>
</div>

<div id="main-content">

<form method="post" action="<?= $this->url('submit.php') ?>" enctype="multipart/form-data">
<input type="hidden" name="MAX_FILE_SIZE" value="<?= MAX_UPLOAD_SIZE ?>" />

<h3><span>1.</span> Cosas que tenés que saber antes de subir el video</h3>

<div class="section">

    <ul>
        <li>Que tu video dure 30 segundos o menos (el tamaño máximo del archivo es de 100mb). Después de todo, ¡estamos hablando de velocidad!</li>
        <li>Tu video no puede usar contenido de terceras partes (como por ejemplo música con copyright).</li>
        <li>Mantenés todos tus derechos con respecto al video. Pero subiéndolo en este sitio le otorgás el derecho de usarlo a Mozilla.</li>
        <li>Si en tu video participan personas de menos de 18 años, ellos deben tener un <a href="<?= $this->url('consent.php') ?>">consentimiento parental</a> antes de que podamos usarlo.</li>
    </ul>

</div>

<h3><span>2.</span> Ingresá tus datos</h3>

<div class="section">

        <ul class="error-messages">
            <li <?= $this->errAttribs('name_required') ?>>Ingresá tu nombre e intentalo nuevamente.</li>
            <li <?= $this->errAttribs('email_invalid') ?>>Ingresá una dirección de correo electrónico válida y reintentalo.</li>
            <li <?= $this->errAttribs('file_required') ?>>Elegí un archivo para subir.</li>
            <li <?= $this->errAttribs('file_too_big')  ?>>Perdón, el archivo que estás subiendo excede el límite de 100MB. Editalo y volvé a intentarlo.</li>
            <li <?= $this->errAttribs('file_bad_type') ?>>Por razones de edición sólo podemos aceptar archivos .wmv, .mov y .mp4. Intentalo nuevamente con un formato diferente.</li>
            <li <?= $this->errAttribs('file_unknown_error') ?>>Ocurrió un error desconocido cuando se subía el archivo. Revisá nuevamente los requisitos para subir el archivo y volvé a intentarlo.</li>
        </ul>
    <div class="form-field">
        <label for="name">Nombre: <span class="required">(obligatorio)</span></label>
                <div class="contents">
                    <input type="text" name="name" id="name" size="25" value="<?= $name_val ?>" />
                </div>
    </div>
    <div class="form-field">
        <label for="email">Correo electrónico:</label>
        <div class="contents">
            <input type="text" name="email" id="email" size="40" value="<?= $email_val ?>" />
            <div class="note">(Solo por si llegamos a tener que contactarte por el video. No será vendido, compartido o usado en ninguna otra forma.)</div>
        </div>
    </div>
    <div class="form-field">
        <label for="file">Archivo: <span class="required">(obligatorio)</span></label>
        <div class="contents">
            <input type="file" name="file" id="file" />
            <div class="note">(.mov, .wmv, .mp4)</div>
        </div>
    </div>

</div>

<h3><span>3.</span> Térmninos del acuerdo</h3>

<div class="section">
        <ul class="error-messages">
            <li <?= $this->errAttribs('agree_required') ?>>Por favor lee los Términos del acuerdo y hace clic en la casilla de verificación "Lei y acepto los Términos del acuerdo" para seguir con la subida.</li>
        </ul>

    <div class="terms"><p>Has obtenido el consentimiento de cualquier persona que aparece en el video. Cualquier video enviado/cargado/(subido no me gusta) al proyecto Fastest Firefox (“Video”) continuará siendo de propiedad exclusiva tuya y de tus licenciatarios. Además, al participar en el proyecto Fastest Firefox y al incluir cualquier licencia libre que tenga el Video, le concedes a Mozilla Corporation, Mozilla Foundation y sus otros afiliados (colectivamente “Mozilla”) y a quien ellos designen, una licencia no exclusiva, irrevocable, transferible a terceros, incondicional, transferible y no comercial a nivel mundial para reproducir, codificar, almacenar, modificar, transmitir, publicar, copiar, adaptar, distribuir (a través de varias formas de distribución) el Video, y a mostrar de forma pública o privada todas las obras derivadas y capturas de pantalla relacionadas con el Video. También le otorgas/concedes a cualquier usuario del sitio (o los sitios) web de Mozilla (“Sitios web”) una licencia no exclusiva para acceder al video a través de los sitios web y a usarlo, reproducirlo, distribuirlo y mostrarlo según la funcionalidad de los sitios web de Mozilla. Das tu consentimiento para que Mozilla pueda realizar u omitir cualquier accion que de otra forma atentaría contra la moral de los usuarios.</p></div>
    <div class="form-field checkbox-field">
        <input type="checkbox" id="agree" name="agree" <?= $agree_val ? 'checked="checked"' : '' ?> />
        <label for="agree">Leí y acepto los Términos del acuerdo <span class="required">(obligatorio)</span></label>
        </div>
</div>

<h3><span>4.</span> Demostrá que no sos un Robot</h3>

<div class="section">
        <ul class="error-messages">
            <li <?= $this->errAttribs('recaptcha_does_not_match') ?>>La información que ingresaste no concuerda. Intentalo nuevamente.</li>
        </ul>
        <script type="text/javascript">
        var RecaptchaOptions = {
           theme : 'clean',
           tabindex : 11,
        };
        </script>
        <?= recaptcha_get_html(RECAPTCHA_PUBLIC_KEY, NULL, $ssl) ?>
</div>

<div class="form-footer">
    <input type="submit" id="submit" value="Upload Your Video" />
</div>

</form>

<div class="section" id="uploading">
<ul>
<li>Tu subida puede tardar algunos minutos, dejá esta página abierta hasta que veas la confirmación. ¡Gracias!</li>

<li>Acordate de visitar <a href="http://www.fastestfirefox.com">www.fastestfirefox.com</a> la semana posterior al lanzamiento de Firefox 3.5 para ver la compilación del trabajo comunitario. Gracias por participar.</li>
</ul>
</div>

</div>

<script type="text/javascript">

    <? if (!empty($errors)): ?>
    var errors = document.getElementsByClassName('error-messages');
    if (errors.length > 0)
        errors[0].scrollIntoView();
    <? endif; ?>

    document.getElementById('submit').onclick = function() {
        var agree_cb = document.getElementById('agree');
        if (!agree_cb.checked) {
            var err_msg = document.getElementById('agree_required');
            err_msg.style.display = 'block';
            err_msg.scrollIntoView();
            return false;
        }
    }
</script>
